From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ada/gnatcoll-core/
Date: Tue, 11 Mar 2025 07:54:02 +0000 (UTC) [thread overview]
Message-ID: <1741679610.147f4e2aa92fc575baeb768acf4e7083cf2ec0a2.sam@gentoo> (raw)
commit: 147f4e2aa92fc575baeb768acf4e7083cf2ec0a2
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 11 03:55:11 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 11 07:53:30 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=147f4e2a
dev-ada/gnatcoll-core: fixup python_check_deps
With USE="-doc test", if we have dev-ada/e3-testsuite installed but not
dev-python/sphinx, we end up failing because we don't return early if
*ONLY* USE=test and end up looking for doc deps.
Feel like I'm missing a more elegant way of doing this (other than relying
on just the implicit return which doesnt't simplify much) but let's get
it fixed in any case.
Bug: https://bugs.gentoo.org/951067
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ada/gnatcoll-core/gnatcoll-core-25.0.0.ebuild | 19 +++++++++++++++----
1 file changed, 15 insertions(+), 4 deletions(-)
diff --git a/dev-ada/gnatcoll-core/gnatcoll-core-25.0.0.ebuild b/dev-ada/gnatcoll-core/gnatcoll-core-25.0.0.ebuild
index 0694b04c8e71..19391f8e7294 100644
--- a/dev-ada/gnatcoll-core/gnatcoll-core-25.0.0.ebuild
+++ b/dev-ada/gnatcoll-core/gnatcoll-core-25.0.0.ebuild
@@ -36,11 +36,22 @@ BDEPEND="${RDEPEND}
PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
python_check_deps() {
- if use test; then
+ if use doc && use test ; then
+ python_has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+ python_has_version "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]" &&
python_has_version "dev-ada/e3-testsuite[${PYTHON_USEDEP}]" || return 1
- fi;
- python_has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
- python_has_version "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]"
+
+ return 0
+ elif use test; then
+ python_has_version "dev-ada/e3-testsuite[${PYTHON_USEDEP}]" || return 1
+
+ return 0
+ elif use doc; then
+ python_has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+ python_has_version "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]" || return 1
+ fi
+
+ return 0
}
pkg_setup() {
next reply other threads:[~2025-03-11 7:54 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-03-11 7:54 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-24 20:32 [gentoo-commits] repo/gentoo:master commit in: dev-ada/gnatcoll-core/ Alfredo Tupone
2025-01-09 22:06 Alfredo Tupone
2025-01-03 20:20 Alfredo Tupone
2024-12-14 18:12 Sam James
2024-11-23 8:06 Arthur Zamarin
2024-10-19 18:23 Alfredo Tupone
2024-03-02 16:05 Alfredo Tupone
2024-03-02 12:10 Alfredo Tupone
2023-12-02 16:29 Alfredo Tupone
2023-03-21 21:02 Alfredo Tupone
2023-02-22 18:57 Alfredo Tupone
2023-02-02 21:29 Alfredo Tupone
2023-01-15 9:40 Alfredo Tupone
2023-01-15 9:39 Alfredo Tupone
2023-01-15 9:36 Alfredo Tupone
2022-12-04 21:10 Alfredo Tupone
2022-12-04 8:18 Alfredo Tupone
2022-11-21 18:04 Alfredo Tupone
2022-09-20 6:15 Alfredo Tupone
2021-12-19 22:09 Agostino Sarubbo
2021-12-19 16:55 Alfredo Tupone
2021-12-19 9:32 Alfredo Tupone
2021-11-25 7:18 Alfredo Tupone
2021-11-17 7:31 Alfredo Tupone
2021-11-15 18:36 Alfredo Tupone
2021-09-19 12:56 Alfredo Tupone
2021-07-20 6:33 Agostino Sarubbo
2021-06-25 6:44 Alfredo Tupone
2021-06-04 19:19 Alfredo Tupone
2021-06-03 18:55 Alfredo Tupone
2021-05-22 10:40 Alfredo Tupone
2021-05-14 6:25 Alfredo Tupone
2020-08-01 20:38 Alfredo Tupone
2020-06-15 10:03 Alfredo Tupone
2020-06-12 7:38 Alfredo Tupone
2019-11-09 19:56 Alfredo Tupone
2019-10-21 6:33 Alfredo Tupone
2019-09-20 7:12 Alfredo Tupone
2019-09-15 19:10 Alfredo Tupone
2019-08-28 16:32 Alfredo Tupone
2019-08-27 10:16 Alfredo Tupone
2019-06-21 6:17 Alfredo Tupone
2019-06-07 21:26 Alfredo Tupone
2019-06-07 21:04 Alfredo Tupone
2019-06-07 18:51 Alfredo Tupone
2019-06-04 19:45 Alfredo Tupone
2019-06-04 18:40 Alfredo Tupone
2019-05-30 8:09 Alfredo Tupone
2018-06-30 16:43 Alfredo Tupone
2018-06-28 19:08 Alfredo Tupone
2018-06-28 13:12 Alfredo Tupone
2018-06-25 7:39 Alfredo Tupone
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1741679610.147f4e2aa92fc575baeb768acf4e7083cf2ec0a2.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox